## Copyright (C) 2005 by Dr. Dieter Maurer <dieter@handshake.de>
# D-66386 St. Ingbert, Eichendorffstr. 23, Germany
# See "LICENSE.txt" in the top package directory, for details.
#       $Id: __init__.py,v 1.1.1.1 2005/03/07 19:24:38 dieter Exp $
'''localevent -- a Zope2 product supporting local Zope3 events.

By design, all Zope3 events are global.
However, many subscribers are only interested in events originating
in a specific subsite. Examples are catalogs.

This package provides a local event subscription utility
and a local event forwarder.

Components interested in local events subscribe to the local
event subscription utility. The utility registers with the local
event forwarder which in turn registers with the Zope3
global event service.
'''
import forwarder, subscription

def initialize(context):
  forwarder.initialize(context)
  subscription.initialize(context)
